#!/bin/bash
ARCH=`uname -m`
ANACONDA_SEARCH="/opt/anaconda*"
if [ "$ARCH" == "armv7l" ] ; then
  ANACONDA_SEARCH="/opt/*conda*armv7l*"
fi
for anaconda_dir in $ANACONDA_SEARCH ; do
    # make sure this is really an anaconda python
    if [ -f ${anaconda_dir}/bin/conda ] ; then
        anaconda_version=`basename ${anaconda_dir}`
        for python_subdir in `ls -d /opt/${anaconda_version}/include/python*` ; do
            # make sure this is really a python include dir
            if [ -f ${python_subdir}/Python.h ]; then
                python_version=`basename ${python_subdir}`
                DESTINATION="python/${python_version}"
                export DESTINATION
                export ANACONDA_INCLUDE=${python_subdir}
                make -f PyTine-Anaconda.mak clean
                if make -f PyTine-Anaconda.mak
                then
                    make -f PyTine-Anaconda.mak install
                else
                    echo "PyTine for ${python_version} could not be built. Continuing..."
                    rmdir ${DESTINATION}
                fi
            fi
        done
    fi
done

